/* /Layout/ActionBar.razor.rz.scp.css */
.action-bar[b-ky9zt14fcm] {
    width: 100%;
    height: 100px;
    background: var(--white);
    border-bottom: 1px solid var(--gray-light);
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: var(--space-md);
    padding: 0 var(--space-lg);
}

.search-input[b-ky9zt14fcm] {
    padding: 0 var(--space-md);
    border: 1px solid var(--gray-light);
    border-radius: 5px;
    font-family: inherit;
    font-size: inherit;
    height: 40px;
}

.search-input:focus[b-ky9zt14fcm] {
    outline: none;
    border-color: var(--black);
}

button.register[b-ky9zt14fcm] {
    background: var(--pink);
    color: var(--white);
    border: none;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 var(--space-md);
    border-radius: var(--radius-full);
    cursor: pointer;
}
/* /Layout/Navbar.razor.rz.scp.css */
nav[b-c2phewz3ai] {
    background: var(--color-bg);
    width: 250px;
    border-right: 1px solid var(--gray-light);
    transition: width 0.15s ease-in-out;
}

nav.closed[b-c2phewz3ai] {
    width: 75px;
}

nav.closed .nav-link[b-c2phewz3ai]  a {
    width: 40px;
}

.nav-top[b-c2phewz3ai] {
    max-width: 100%;
    padding: var(--space-lg);
    height: 100px;
    border-bottom: 1px solid var(--gray-light);
    position: relative;
}

.nav-toggle[b-c2phewz3ai] {
    position: absolute;
    top: calc(50% - 20px);
    right: -20px;
    width: 40px;
    height: 40px;
    background: var(--white);
    border-radius: var(--radius-full);
    border: 1px solid var(--gray-light);
    color: var(--gray);
}

.nav-toggle i[b-c2phewz3ai] {
    transition: 0.15s ease-in-out;
}

.nav-toggle:hover[b-c2phewz3ai] {
    color: var(--black);
}

nav.closed .nav-toggle i[b-c2phewz3ai] {
    transform: rotateY(180deg);
}

nav.closed .nav-top img[b-c2phewz3ai] {
    width: 28px;
}

.nav-top img[b-c2phewz3ai] {
    min-height: 90%;
    width: 100%;
    object-fit: cover;
    object-position: right;
    transition: 0.15s ease-in-out;
}

.nav-links[b-c2phewz3ai] {
    display: flex;
    flex-direction: column;
    gap: var(--space-sm);
    padding: var(--space-md);
    overflow: hidden;
}

.nav-link[b-c2phewz3ai]  a:not(.active) {
    color: var(--purple);
}

.nav-link[b-c2phewz3ai]  a {
    height: 40px;
    width: 217px;
    display: flex;
    gap: var(--space-md);
    align-items: center;
    justify-content: start;
    background: transparent;
    border-radius: var(--radius-full);
    position: relative;
    overflow: hidden;
    transition: 0.15s ease-in-out;
}

.nav-link[b-c2phewz3ai]  a.active {
    background: var(--pink);
    
}

.nav-link[b-c2phewz3ai]  i {
    height: 40px;
    width: 40px;
    aspect-ratio: 1/1;
    display: flex;
    background: transparent;
    border-radius: var(--radius-full);
    align-items: center;
    justify-content: center;
}


/* /Layout/PaginatedTable.razor.rz.scp.css */
.paginated-table[b-62nf3tq11d] {
    border-spacing: 0;
    background: var(--white);
    color: var(--gray);
    width: 100%;
}

.paginated-table[b-62nf3tq11d]  th {
    background: var(--color-bg);
    padding: var( --space-sm);
    padding-left: var(--space-md);
    text-align: left;
    font-weight: normal;
    border-bottom: 1px solid var(--gray-light);
}

.paginated-table[b-62nf3tq11d]  td {
    padding: var(--space-sm);
    padding-left: var(--space-md);
    color: var(--black);
}

.paginated-table[b-62nf3tq11d]  td {
    border-bottom: 1px solid var(--gray-light);
}

.paginated-table[b-62nf3tq11d]  a {
    color: var(--purple);
}

.paginated-table[b-62nf3tq11d]  a:hover {
    text-decoration: underline;
}

.pagination-controls[b-62nf3tq11d] {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    padding: var(--space-md);
}

.pagination-controls button[b-62nf3tq11d] {
    height: 40px;
    width: 40px;
    border: 1px solid var(--gray-light);
    border-radius: var(--radius-full);
    display: flex;
    align-items: center;
    justify-content: center;
}
/* /Pages/Dashboard.razor.rz.scp.css */
/* /Pages/Locations.razor.rz.scp.css */
/* /Pages/Machines.razor.rz.scp.css */
/* /Pages/Scores.razor.rz.scp.css */
/* /Pages/Users.razor.rz.scp.css */
